// Takmicenje.cpp : This file contains the 'main' function. Program execution begins and ends there.
//

#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main()
{
	int n;
	cin >> n;
	vector<int>knjige(n);
	vector<int>sorto(n);
	for (int i = 0; i < n; i++) {

		cin >> knjige[i];
	}
	
		sorto = knjige;

		sort(sorto.begin(), sorto.begin() + n, greater<int>());
		bool stanje = false;
		for (int i = 0; i < n; i++) {

			if (knjige[i] < sorto[i]) {
				if (stanje == false) {
					std::vector<int>::iterator itr = std::find(knjige.begin(), knjige.end(), sorto[i]);
					int pozicija = std::distance(knjige.begin(), itr);
					//if (it != vec.end())
					knjige[pozicija] = knjige[i];
					knjige[i] = sorto[i];

					stanje = true;
				}

			}

			if ((stanje == false) && (i == (n - 1))) {

				int prom;
				prom = knjige[n - 2];
				knjige[n - 2] = knjige[n - 1];
				knjige[n - 1] = prom;





			}
		}
		for (int k = 0; k < n; k++) {
		cout << knjige[k] << " ";
	}
	
	

	return 0;
}